# Flow stop

An action block that stops a flow and all its running fibers.

If the Flow URI is for the enclosing flow, or `null`, the current fiber will stop at this block and not proceed, otherwise the fiber will proceed immediately without pause.

Note! Flow URI comes in two forms, with or without a beginning block, this block only accept the latter.

Note! A Flow URI is unique to your installation of Automate, don’t share flows with “hard coded” URI’s, use the Flow pick block instead.

Note! Normally this block isn’t needed to stop the current flow if it only has a single running fiber, it will stop when reaching an unconnected outcome dot.

## Input arguments

- Flow URI — URI of the flow, default is the current flow.